#!/usr/bin/perl -w

  ## Toto je hlavni konfiguracni soubor Network Traffic Analyzeru
  ## Tento skript je zpracovan Perlovym procesorem, prosim pamatujte na to.
  ## Promenne jsou zapisovany ve formatu  nazev => hodnota, jsou
  ## oddeleny carkou (,).

  use strict;

  ## Sitova rozhrani, ktera budou sledovana
  ## Format zapisu je:
  ##   'rozhrani' => 'popis',

  %netdevices=
   (
    'eth0' => 'Vnitrni sit',
    'lo' => 'loopback'
   );


  ## Dalsi uzitecne konfiguracni promenne

  %config=(
    ## Vystupni adresar
    'output_dir'       => '/var/www/html/nta',

    ## Jmeno hlavniho souboru (index)
    ##   !! bez pripony !!
    'output_index'     => 'index',

    ## Pripona vygenerovanych souboru (s teckou)
    'output_ext'       => '.html',

    ## Zobrazit informace o pocitaci na hlavni strance ('0' = ne, '1' = ano)
    'output_hostinfo'  => 1,

    ## Zobrazovat IP a MAC adresu sitovych rozhrani ('0' = ne, '1' = ano)
    'output_ip'         => 1,
    'output_mac'        => 1,

    ## Nastaveni vystupnich HTML tabulek
    'output_ttag_table'=> 'border="1" cellpadding="3" cellspacing="0"',
    'output_ttag_throw'=> 'bgcolor="#eeeeee"',

    ## Kolik mesicu nazpet se bude zobrazovat v hlavni statistice
    'show_back_main'   => 12,

    ## Kolik hodin bude zobrazovano v hodinovem grafu
    ## Nula znamena, ze tento graf nebude generovan
    ## Jeden krok je 5 minut
    'show_back_hour'   => 24,

    ## Kolik dni bude zobrazeno v dennim grafu
    ## Nula znamena, ze tento graf nebude generovan    
    ## Jeden krok je 30 minut
    'show_back_day'    => 7,

    ## Kolik tydnu bude zobrazeno v tydennim grafu
    ## Nula znamena, ze tento graf nebude generovan    
    ## Jeden krok jsou 2 hodiny
    'show_back_week'   => 4,

    ## Kolik mesicu bude zobrazeno v mesicnim grafu
    ## Nula znamena, ze tento graf nebude generovan
    ## Jeden krok je 12 hodin
    'show_back_month'  => 6,

    ## Urcuje, jesti bude provoz zobrazovan v bitech za sekundu
    ## (nastavit na '1') nebo v bytech za sekundu (nastavit na '0')
    'graph_bits'       => 1,

    ## Smer grafu: zleva doprava (vlevo budou novejsi hodnoty,
    ## vpravo starsi, nastavit na '0') nebo zprava doleva
    ## (vpravo budou novejsi hodnoty, vlevo starsi, nastavit na '1')
    'graph_switch'     => 1,

    ## Barva krivky VSTUP v grafu (v RGB, HTML styl)
    'graph_color_in'   => '#ff0000',

    ## Barva krivky VYSTUP v grafu (v RGB, HTML styl)
    'graph_color_out'  => '#0000ff',

    ## Barva pozadi grafu (v RGB, HTML styl)
    'graph_color_bg'   => '#ffffff',

    ## Barva textu a okraje grafu (v RGB, HTML styl)
    'graph_color_text' => '#000000',

    ## Barva pozadi popisu grafu (v RGB, HTML styl)
    'graph_color_descr'=> '#eeeeee',

    ## Barva teckovane cary v grafu (v RGB, HTML styl)
    'graph_color_half' => '#dddddd',

    ## Cesta k 'cp' binarce
    'bin_cp'           => '/bin/cp',

    ## Cela cesta k 'ifconfig' binarce
    'bin_ifconfig'     => '/sbin/ifconfig',

    ## Cela cesta k 'hostname' binarce
    'bin_hostname'     => '/bin/hostname',

    ## Cela cesta k /proc filesystemu, radsi tu nic nemente :-)
    'proc_netdev'      => '/proc/net/dev',
    'proc_uname'       => '/proc/version',
    'proc_uptime'      => '/proc/uptime',

    ## Cesta k HTML headeru
    'template_header'  => 'templates/header.html',

    ## Cesta k HTML footeru
    'template_footer'  => 'templates/footer.html',

    ## Predloha k NTA tabulce hodnot
    ## NTA generuje specialni tabulku pro vnitrni potreby
    ## ktera obsahuje nadpis a hodnoty
    'template_table'   => 'templates/table.html',

    ## Format data a casu, ktery bude pouzit ve vzgenerovanych strankach
    ## Prohlidnete si "man strftime"
    'date_date'        => '%Y-%m-%d',
    'date_datetime'    => '%Y-%m-%d %H:%M:%S',

    ## Jmeno programu - nadpis stranky
    'prg_name'         => 'Network Traffic Analyzer',

    ## Verze programu
    'prg_version'      => '1.0',

    ## Datum vypusteni programu
    'prg_date'         => '2002-01-15',

    ## Adresa domacich stranek programu
    'prg_url'          => 'http://nta.kyberdigi.cz/',

    ## Jmeno autora tohoto programu
    'prg_author_name'  => 'C. McCohy',

    ## Email na autora tohoto programu
    'prg_author_email' => 'mccohy@kyberdigi.cz',

    ## Lock soubor (program muze byt spusten pouze jednou za cas)
    ## V soucasnosti je tato volba bezpredmetna.
    'file_lock'        => 'data/.lock',

    ## Jmena souboru, ve kterych budou uchovavana data
    ## Muzete pouzit cele cesty pokud chcete
    'file_main'        => 'data/main',
    'file_hour'        => 'data/hour',
    'file_day'         => 'data/day',
    'file_week'        => 'data/week',
    'file_month'       => 'data/month'

  );

1;
